import 'package:json_annotation/json_annotation.dart';

import '../enums/bungie_membership_type.dart';

part 'destiny_item_set_action_request.g.dart';

@JsonSerializable()
class DestinyItemSetActionRequest{	
	DestinyItemSetActionRequest();

	factory DestinyItemSetActionRequest.fromJson(Map<String, dynamic> json) {
		return _$DestinyItemSetActionRequestFromJson(json);
	}
	
	Map<String, dynamic> toJson() => _$DestinyItemSetActionRequestToJson(this);
	
	@JsonKey(name:'itemIds')
	List<String>? itemIds;
	
	@JsonKey(name:'characterId')
	String? characterId;
	
	@JsonKey(name:'membershipType',fromJson:decodeBungieMembershipType,toJson:encodeBungieMembershipType)
	BungieMembershipType? membershipType;
}